Create a planner session.
curl --request POST \
--url https://api.nebyoulous.space/planner/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationLat": 0,
"locationLng": 0,
"sessionDate": "<string>",
"locationLabel": "<string>",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"planSnapshot": "<unknown>",
"targetCatalogRefs": [
"<string>"
],
"targetCatalogEntries": [
{
"catalogRef": "<string>",
"notes": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationLat: 0,
locationLng: 0,
sessionDate: '<string>',
locationLabel: '<string>',
gearProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>',
planSnapshot: '<unknown>',
targetCatalogRefs: ['<string>'],
targetCatalogEntries: [{catalogRef: '<string>', notes: '<string>'}]
})
};
fetch('https://api.nebyoulous.space/planner/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions"
payload = {
"locationLat": 0,
"locationLng": 0,
"sessionDate": "<string>",
"locationLabel": "<string>",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"planSnapshot": "<unknown>",
"targetCatalogRefs": ["<string>"],
"targetCatalogEntries": [
{
"catalogRef": "<string>",
"notes": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"notes": "<string>",
"dsoCatalog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"type": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Planner
Create a planner session.
POST
/
planner
/
sessions
Create a planner session.
curl --request POST \
--url https://api.nebyoulous.space/planner/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationLat": 0,
"locationLng": 0,
"sessionDate": "<string>",
"locationLabel": "<string>",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"planSnapshot": "<unknown>",
"targetCatalogRefs": [
"<string>"
],
"targetCatalogEntries": [
{
"catalogRef": "<string>",
"notes": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationLat: 0,
locationLng: 0,
sessionDate: '<string>',
locationLabel: '<string>',
gearProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
notes: '<string>',
planSnapshot: '<unknown>',
targetCatalogRefs: ['<string>'],
targetCatalogEntries: [{catalogRef: '<string>', notes: '<string>'}]
})
};
fetch('https://api.nebyoulous.space/planner/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/planner/sessions"
payload = {
"locationLat": 0,
"locationLng": 0,
"sessionDate": "<string>",
"locationLabel": "<string>",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"planSnapshot": "<unknown>",
"targetCatalogRefs": ["<string>"],
"targetCatalogEntries": [
{
"catalogRef": "<string>",
"notes": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gearProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationLat": 123,
"locationLng": 123,
"locationLabel": "<string>",
"sessionDate": "<string>",
"score": 123,
"planData": "<unknown>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"gearProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"integrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
],
"sessionTargets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dsoCatalogId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 0,
"notes": "<string>",
"dsoCatalog": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"type": "<string>"
}
}
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Body
application/json
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Pattern:
^\d{4}-\d{2}-\d{2}$Maximum string length:
200Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Maximum string length:
5000Maximum array length:
50Required string length:
1 - 128Maximum array length:
50Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes